Package org.drinkless.tdlib

# Class TdApi.Checklist

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Checklist

Enclosing class:
  `TdApi`

public static class TdApi.Checklist extends TdApi.Object
Describes a checklist.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canAddTasks`
  True, if the current user can add tasks to the list if they have Telegram Premium subscription.
  `boolean`
  `canMarkTasksAsDone`
  True, if the current user can mark tasks as done or not done if they have Telegram Premium subscription.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `othersCanAddTasks`
  True, if users other than creator of the list can add tasks to the list.
  `boolean`
  `othersCanMarkTasksAsDone`
  True, if users other than creator of the list can mark tasks as done or not done.
  `TdApi.ChecklistTask[]`
  `tasks`
  List of tasks in the checklist.
  `TdApi.FormattedText`
  `title`
  Title of the checklist; may contain only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Checklist()`
  Describes a checklist.
  `Checklist(TdApi.FormattedText title, TdApi.ChecklistTask[] tasks, boolean othersCanAddTasks, boolean canAddTasks, boolean othersCanMarkTasksAsDone, boolean canMarkTasksAsDone)`
  Describes a checklist.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### title

    public TdApi.FormattedText title
    Title of the checklist; may contain only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities.

  - ### tasks

    public TdApi.ChecklistTask[] tasks
    List of tasks in the checklist.

  - ### othersCanAddTasks

    public boolean othersCanAddTasks
    True, if users other than creator of the list can add tasks to the list.

  - ### canAddTasks

    public boolean canAddTasks
    True, if the current user can add tasks to the list if they have Telegram Premium subscription.

  - ### othersCanMarkTasksAsDone

    public boolean othersCanMarkTasksAsDone
    True, if users other than creator of the list can mark tasks as done or not done. If true, then the checklist is called "group checklist".

  - ### canMarkTasksAsDone

    public boolean canMarkTasksAsDone
    True, if the current user can mark tasks as done or not done if they have Telegram Premium subscription.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Checklist

    public Checklist()
    Describes a checklist.

  - ### Checklist

    public Checklist(TdApi.FormattedText title, TdApi.ChecklistTask[] tasks, boolean othersCanAddTasks, boolean canAddTasks, boolean othersCanMarkTasksAsDone, boolean canMarkTasksAsDone)
    Describes a checklist.
    Parameters:
      `title` - Title of the checklist; may contain only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities.
      `tasks` - List of tasks in the checklist.
      `othersCanAddTasks` - True, if users other than creator of the list can add tasks to the list.
      `canAddTasks` - True, if the current user can add tasks to the list if they have Telegram Premium subscription.
      `othersCanMarkTasksAsDone` - True, if users other than creator of the list can mark tasks as done or not done. If true, then the checklist is called "group checklist".
      `canMarkTasksAsDone` - True, if the current user can mark tasks as done or not done if they have Telegram Premium subscription.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR